#pragma once
#include <map>
struct M_game_battle_fieldData
{
	//ID
	int64_t mID;
	//怪物ID
	int64_t mmonster_id;
	//场地类型
	int mscene_type;
	//出场权重
	int mweight;
	//最大数量
	int mmax_num;
	//击杀次数
	std::vector<int> mkill_count;
	//魔币掉落概率（百分比）
	float maward_drop_prob;
};

class M_game_battle_field
{
public:
private:
	static std::auto_ptr<M_game_battle_field> msSingleton;
public:
	int GetCount();
	const M_game_battle_fieldData* GetData(int64_t ID);
	const std::map<int64_t, M_game_battle_fieldData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_game_battle_field* GetSingleton();
	static void Release();
private:
	std::map<int64_t, M_game_battle_fieldData> mMapData;
};
